using System;
using System.Linq;
using System.Text;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using Plus.Database.Interfaces;
using Plus.HabboHotel.Rooms;


namespace Plus.HabboHotel.Rooms.Instance
{
    public class NotifCompenant
    {
        private Room _instance = null;

        public NotifCompenant(Room Instance)
        {
            if (Instance == null)
                return;

            this._instance = Instance;
        }


        public string CheckMessage(string Message)
        {
            foreach (string Filter in this._instance.UserNotif)
            {
                if (Message.ToLower().Contains(Filter))
                    //Message = Regex.Replace(Message, Filter, "Salut", RegexOptions.IgnoreCase);
                    Message = "Identifer";
            }

            return Message.TrimEnd(' ');
        }

        public void Cleanup()
        {
            this._instance = null;
        }
    }
}
